/// <reference types="webpack" />
import { Rule } from "webpack";
import { IToolsOptions } from "./interfaces";
/**
 * Typescript loader factory
 */
export declare function typescriptLoaderFactory(): Rule;
/**
 * CSS loader factory
 */
export declare function cssLoaderFactory(): Rule;
/**
 * Less loader factory
 *
 * @param lessLoaderOptions   less options
 */
export declare function lessLoaderFactory(lessLoaderOptions?: object): Rule;
/**
 * Sass loader factory
 *
 * @param sassLoaderOptions  sass options
 */
export declare function sassLoaderFactory(sassLoaderOptions?: object): Rule;
/**
 * Image loader factory
 */
export declare function imageLoaderFactory(options: IToolsOptions): Rule;
/**
 * Font loader factory
 */
export declare function fontLoaderFactory(options: IToolsOptions): {
    test: RegExp;
    use: {
        loader: string;
        options: {
            name: string;
        };
    }[];
};
